Subject: Re: [PATCH net] lockdep: provide always true lockdep_is_held stub if lockdep disabled

From: Hannes Frederic Sowa <[email-masked]>
Date: Fri, 8 Apr 2016 01:21:24 +0200

On 08.04.2016 01:12, Hannes Frederic Sowa wrote:
> I need this to provide a generic lockdep_sock_is_held function which can
> be easily used in the kernel without using ifdef PROVEN macros.
>
> Cc: Peter Zijlstra <[email-masked]>
> Cc: Ingo Molnar <[email-masked]>
> Cc: Eric Dumazet <[email-masked]>
> Cc: David Miller <[email-masked]>
> Signed-off-by: Hannes Frederic Sowa <[email-masked]>
> ---
> Hello Peter and Ingo,
>
> if it is possible coud this go in via the net-tree, as this problem is
> visible there already? Would be happy to get a review.

I take this patch back, as some call sites test if the lock is 
definitely not held. I come up with a better approach.